Bug 122621 - (ACPI) network (e100) fails after S3 suspend
Summary: (ACPI) network (e100) fails after S3 suspend
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-06 12:53 UTC by Didier
Modified: 2015-01-04 22:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 16:51:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages and lspci -vv excerpts (1.60 KB, text/plain)
2004-05-06 12:56 UTC, Didier
no flags Details

Description Didier 2004-05-06 12:53:34 UTC
Description of problem:

When resuming from an ACPI S3 suspend, the 'e100' network module gets
corrupted.


Version-Release number of selected component (if applicable):

kernel-2.6.5-1.349


How reproducible:

Always


Steps to Reproduce:

1. {boot in single mode}
2. # echo -n mem > /sys/power/state
3. {resume}
4. # modprobe e100


Actual results:

PCI: Enabling device 0000:02:08.0 (0000 -> 0003)
e100: eth%d: e100_eeprom_load: EEPROM corrupted
e100: probe of 0000:02:08.0 failed with error -11


Expected results:

network functionality


Additional info:

- The above corruption message only occurs if an S3 suspend is invoked
*before* e100 is loaded.

- If an S3 suspend is invoked *after* e100 is loaded (e.g. from
initlevel 3 or initlevel 5), after resuming, the NIC detects network
cabling & communication protocol, but does not connect to the network
(eg. DHCP lease offers).

In both cases, network functionality is fatally hosed after ACPI S3
suspend/resume.

Comment 1 Didier 2004-05-06 12:56:25 UTC
Created attachment 100041 [details]
/var/log/messages  and  lspci -vv  excerpts

Comment 2 Didier 2004-05-06 13:17:32 UTC
The initlevel 3 (and 5) behaviour as described above, is similar to
bug #121906 (e1000 module) ; nevertheless, I do hope that the EEPROM
corruption messages may provide an additional clue.


Comment 3 Dave Jones 2004-12-08 06:34:02 UTC
fixed in 2.6.9 update ?

Comment 4 Didier 2004-12-08 12:04:32 UTC
WFM in FC3 with latest kernel-2.6.9-1.698_FC3.

Comment 5 Didier 2004-12-08 20:10:50 UTC
(off-topic)
Ouch : reviewing bug activity, it seems I erroneously changed bug state from
NEEDINFO to ASSIGNED ; please accept my apologies while I wipe some egg off my face.


Note You need to log in before you can comment on or make changes to this bug.